"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.omitDeep = void 0;
const omitDeep = (item, omitKey) => {
    // Handle dates - prevents dates from getting converted into empty {}
    if (item instanceof Date) {
        return item;
        // Handle arrays and walk them
    }
    else if (Array.isArray(item)) {
        return item.map((arrItem) => {
            return (0, exports.omitDeep)(arrItem, omitKey);
        });
        // Handle objects
    }
    else if (typeof item === 'object' && item !== null) {
        // Walk over each entry in object
        return Object.entries(item).reduce((acc, [key, value]) => {
            // FILTER OMIT KEY HERE
            if (key !== omitKey) {
                acc[key] = (0, exports.omitDeep)(value, omitKey);
            }
            return acc;
        }, {});
        // Handle all other types
    }
    else {
        return item;
    }
};
exports.omitDeep = omitDeep;
//# sourceMappingURL=index.js.map