"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ava_1 = __importDefault(require("ava"));
const index_1 = require("./index");
const dirtyObject = {
    __typeName: 'Test TypeName',
    name: 'Test',
    subObject: {
        __typeName: 'sub TypeName',
        anArray: [
            'a value',
            {
                __typeName: 'array object nested TypeName',
                name: 'nested object in array'
            }
        ]
    },
    myDate: new Date()
};
const cleanObject = (0, index_1.omitDeep)(dirtyObject, '__typeName');
(0, ava_1.default)('cleans specified key from root object', (t) => {
    t.is(Object.prototype.hasOwnProperty.call(cleanObject, '__typeName'), false);
});
(0, ava_1.default)('deep cleans specified key from sub object', (t) => {
    t.is(Object.prototype.hasOwnProperty.call(cleanObject.subObject, '__typeName'), false);
});
(0, ava_1.default)('cleans key from objects in arrays', (t) => {
    const arrayItem = (cleanObject?.subObject?.anArray || [])[1];
    t.is(Object.prototype.hasOwnProperty.call(arrayItem, '__typeName'), false);
});
(0, ava_1.default)('handles Date objects without stripping them', (t) => {
    t.is(cleanObject.myDate instanceof Date, true);
});
//# sourceMappingURL=index.test.js.map